Skip to main content
POST

NIC validations

  1. CEWB can be re-generated by the generator of that CEWB or the current transporter.
  2. Re-generate CEWB considers only the e-way bills which are active, that is, not cancelled.
  3. Re-generate CEWB considers only the e-way bills which are within the validity period, that is validity is not expired.
  4. If vehicle number is passed, the format of the vehicle number should be valid and as per the format.
  5. In case of road as a transportation mode , the vehicle number should be passed and transport document number is optional.
  6. In case of rail, air or ship as a transportation mode, the transport document number is must.

Request body schema

View request body schema

Authorizations

authorization
string
header
required

E-Way Bill taxpayer access token returned by Authenticate.

x-api-key
string
header
required

Sandbox API key from your Sandbox account.

Headers

x-api-version
string
default:1.0.0

API version

x-source
enum<string>
default:primary

NIC server for the session used by this request. primary selects NIC1. secondary selects NIC2. Defaults to primary. See NIC1 and NIC2 routing.

Available options:
primary,
secondary
x-proxy
enum<string>

NIC server that receives the request. If omitted, the request goes to the server selected by x-source. When specified, selects the other server. See NIC1 and NIC2 routing.

Available options:
primary,
secondary

Path Parameters

consolidated_ewb_no
string
required

Body

application/json

E-Way Bill schema.

tripSheetNo
number
required

The tripSheetNo value.

Example:

2210011700

fromPlace
string

The fromPlace value.

Example:

"Bengaluru"

fromState
number

The fromState value.

Example:

29

reasonCode
string
Example:

"1"

reasonRem
string

The reasonRem value.

Example:

"Flood"

transDocDate
string

The transDocDate value.

Example:

"26/04/2018"

transDocNo
string

The transDocNo value.

Example:

"1234"

transMode
string

The transMode value.

See transport modes.

Example:

"1"

vehicleNo
string

The vehicleNo value.

See vehicle number formats.

Example:

"PQR1234"

Response

200 - application/json

200 Consolidated EWB regenerated / 392 Cancelled tripsheet cannot be regenerated / 387 Could not find tripsheet

An E-Way Bill success or NIC business-failure response. Both variants use HTTP 200.

code
enum<integer>
required

NIC response code.

Available options:
200
timestamp
integer<int64>
required

Unix timestamp.

transaction_id
string
required

Request transaction identifier.

data
object
required